# $Id: infra.py 1385 2009-06-03 08:38:44Z anton $
# $URL: https://svn.non-gnu.uvt.nl/uvt-dev/tags/sources/meresco/bzv-5.0.1/src/infra.py $
import os
import logging
import logging.config
import pprint
import sys

class Infra:
    def __init__(self,startupMessage,loggingConfigfile):
        self.loggingConfigfile = loggingConfigfile
        self._prettyPrint()
        self._startLogging(startupMessage)

    def _startLogging(self,startupMessage):
        self.logging=logging
        try:
            logging.config.fileConfig(self.loggingConfigfile)

        except Exception, e:
            sys.stderr.write ('ERROR: Could not parse loggingConfigfile: "' + self.loggingConfigfile + '"')
            sys.stderr.write (''.join(e) + "\n")

        logging.info(startupMessage)

    def _prettyPrint(self):
        self.pp = pprint.PrettyPrinter(indent=2)

    def prpt(self, label, param):
        return label + "\n" + self.pp.pformat(param)

    def dd(self, label, param):
        self.logging.debug(self.prpt(label, param))

    def getLoggingInstance(self):
        return self.logging

#    def addConfigParser(self, configParserName,configParserInstance):
#        self.configParserName=configParserInstance
